Package org.oasis_open.docs.ws_calendar.ns.soap

# Class CalendarQueryOrMultigetBaseType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryOrMultigetBaseType

Direct Known Subclasses:
  `CalendarMultigetType`, `CalendarQueryType`

public class CalendarQueryOrMultigetBaseType extends BaseRequestType
Base type for query or multiget.

Java class for CalendarQueryOrMultigetBaseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalendarQueryOrMultigetBaseType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseRequestType">
           <sequence>
             <choice minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}allprop"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}icalendar"/>
             </choice>
             <choice minOccurs="0">
               <element name="expand" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ExpandType"/>
               <element name="limitRecurrenceSet" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}LimitRecurrenceSetType"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AllpropType`
  `allprop`
  `protected ExpandType`
  `expand`
  `protected IcalendarType`
  `icalendar`
  `protected LimitRecurrenceSetType`
  `limitRecurrenceSet`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarQueryOrMultigetBaseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AllpropType`
  `getAllprop()`
  Gets the value of the allprop property.
  `ExpandType`
  `getExpand()`
  Gets the value of the expand property.
  `IcalendarType`
  `getIcalendar()`
  Gets the value of the icalendar property.
  `LimitRecurrenceSetType`
  `getLimitRecurrenceSet()`
  Gets the value of the limitRecurrenceSet property.
  `void`
  `setAllprop(AllpropType value)`
  Sets the value of the allprop property.
  `void`
  `setExpand(ExpandType value)`
  Sets the value of the expand property.
  `void`
  `setIcalendar(IcalendarType value)`
  Sets the value of the icalendar property.
  `void`
  `setLimitRecurrenceSet(LimitRecurrenceSetType value)`
  Sets the value of the limitRecurrenceSet property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### allprop

    protected AllpropType allprop

  - ### icalendar

    protected IcalendarType icalendar

  - ### expand

    protected ExpandType expand

  - ### limitRecurrenceSet

    protected LimitRecurrenceSetType limitRecurrenceSet

- ## Constructor Details

  - ### CalendarQueryOrMultigetBaseType

    public CalendarQueryOrMultigetBaseType()

- ## Method Details

  - ### getAllprop

    public AllpropType getAllprop()
    Gets the value of the allprop property.
    Returns:
      possible object is `AllpropType`

  - ### setAllprop

    public void setAllprop(AllpropType value)
    Sets the value of the allprop property.
    Parameters:
      `value` - allowed object is `AllpropType`

  - ### getIcalendar

    public IcalendarType getIcalendar()
    Gets the value of the icalendar property.
    Returns:
      possible object is `IcalendarType`

  - ### setIcalendar

    public void setIcalendar(IcalendarType value)
    Sets the value of the icalendar property.
    Parameters:
      `value` - allowed object is `IcalendarType`

  - ### getExpand

    public ExpandType getExpand()
    Gets the value of the expand property.
    Returns:
      possible object is `ExpandType`

  - ### setExpand

    public void setExpand(ExpandType value)
    Sets the value of the expand property.
    Parameters:
      `value` - allowed object is `ExpandType`

  - ### getLimitRecurrenceSet

    public LimitRecurrenceSetType getLimitRecurrenceSet()
    Gets the value of the limitRecurrenceSet property.
    Returns:
      possible object is `LimitRecurrenceSetType`

  - ### setLimitRecurrenceSet

    public void setLimitRecurrenceSet(LimitRecurrenceSetType value)
    Sets the value of the limitRecurrenceSet property.
    Parameters:
      `value` - allowed object is `LimitRecurrenceSetType`